Bug 45680 - [WINCE] Add FrameNetworkingContextWinCE::blockedError
: [WINCE] Add FrameNetworkingContextWinCE::blockedError
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Misc.
: 528+ (Nightly build)
: Other Other
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-13 09:58 PDT by Patrick R. Gansterer
Modified: 2010-09-16 08:24 PDT (History)
2 users (show)

See Also:


Attachments
Patch (1.96 KB, patch)
2010-09-13 10:00 PDT, Patrick R. Gansterer
eric: review-
Details | Formatted Diff | Diff
Patch (2.02 KB, patch)
2010-09-15 01:46 PDT, Patrick R. Gansterer
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick R. Gansterer 2010-09-13 09:58:12 PDT
see patch
Comment 1 Patrick R. Gansterer 2010-09-13 10:00:57 PDT
Created attachment 67420 [details]
Patch
Comment 2 Eric Seidel 2010-09-14 23:51:32 PDT
Comment on attachment 67420 [details]
Patch

I'm confused.  Is this to fix a compile error?  What is this doing?  Should this be calling notImplemented()? since this seems like a dummy implementation.  Please update the ChangeLog to explain.
Comment 3 Patrick R. Gansterer 2010-09-15 01:46:27 PDT
Created attachment 67657 [details]
Patch
Comment 4 Adam Roben (:aroben) 2010-09-16 07:46:07 PDT
Comment on attachment 67657 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=67657&action=prettypatch

> WebKit/wince/WebCoreSupport/FrameNetworkingContextWinCE.cpp:55
> +WebCore::ResourceError FrameNetworkingContextWinCE::blockedError(const WebCore::ResourceRequest&) const
> +{
> +    notImplemented();
> +    return WebCore::ResourceError();
> +}

There's no need for any of the "WebCore::"s here, since you have "using namespace WebCore;" near the top of the file.
Comment 5 Patrick R. Gansterer 2010-09-16 07:48:50 PDT
Comment on attachment 67657 [details]
Patch

(In reply to comment #4)
> There's no need for any of the "WebCore::"s here, since you have "using namespace WebCore;" near the top of the file.
You're wrong. ;-) E.g: http://msdn.microsoft.com/en-us/library/ms919861.aspx
Comment 6 Patrick R. Gansterer 2010-09-16 07:50:45 PDT
(In reply to comment #4)
> (From update of attachment 67657 [details])
> > WebKit/wince/WebCoreSupport/FrameNetworkingContextWinCE.cpp:55
> > +WebCore::ResourceError FrameNetworkingContextWinCE::blockedError(const WebCore::ResourceRequest&) const
> > +{
> > +    notImplemented();
> > +    return WebCore::ResourceError();
> > +}
> 
> There's no need for any of the "WebCore::"s here, since you have "using namespace WebCore;" near the top of the file.
I can remove it at WebCore::ResourceError, but it's strange to have it only on some places...
Comment 7 Adam Roben (:aroben) 2010-09-16 07:56:16 PDT
(In reply to comment #5)
> (From update of attachment 67657 [details])
> (In reply to comment #4)
> > There's no need for any of the "WebCore::"s here, since you have "using namespace WebCore;" near the top of the file.
> You're wrong. ;-) E.g: http://msdn.microsoft.com/en-us/library/ms919861.aspx

Oh my! I've never heard of that function.

> I can remove it at WebCore::ResourceError, but it's strange to have it only on some places...

OK.
Comment 8 WebKit Commit Bot 2010-09-16 08:24:14 PDT
Comment on attachment 67657 [details]
Patch

Clearing flags on attachment: 67657

Committed r67620: <http://trac.webkit.org/changeset/67620>
Comment 9 WebKit Commit Bot 2010-09-16 08:24:19 PDT
All reviewed patches have been landed.  Closing bug.